body
{
  background-image: radial-gradient(circle, rgba(0,0,0,0.8) 0%, rgba(0,0,0,1) 100%), url('../assets/games/screenshot0.png');
  background-size: cover;
}

.hero
{
  padding-top: 2vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: linear-gradient(
    to bottom,
    rgba(0,0,0,1) 0%,
    rgba(0,0,0,1) 35%,
    rgba(0,0,0,0) 100%
  );
  width: 100vw;
  height: auto;
}

.transmit-logo
{
  width: auto;
  height: 30vh;
  background-color: transparent;
}

.subtitle
{
  width: 70%;
  text-align: center;
  font-family: "LBBold"; 
  font-size: 22px;
}

.content
{
  padding-top: 5vh;
  width: 100%;
  background-color: transparent;
}

.specs
{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  gap: 5vw;
  width: 100%;
  margin: 0 auto;
}

.description
{
  flex: 1;
  font-size: 1.25vw;
  margin: 0;
}

.file
{
  max-width: 35vw;
}

.factsheet
{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  margin-right: 2.5vw;
  flex: 1;
  font-size: 1.25vw;
  text-align: right;
  max-width: 28vw;
  margin-top: 2vh;
}

.factsheet button
{
  text-align: right;
  margin-top: 2vh;
  font-size: 1.25vw;
}

.factsheet button:hover img
{
  filter: invert(100%);
}

.wishlist
{
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding 8px 16px;
  cursor: pointer;
}

.specs img{
  flex: 0 0 auto;
  align-self: flex-end;
  width: 550px;
}

.trailer{
  margin-top: 5vh;
  margin-bottom: 10vh;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  gap: 1rem;
}

.trailer iframe
{
  width: 45%;
  height: auto;
  aspect-ratio: 16 / 9;
}

.trailer > div
{
  width: 45%;
  height: auto;
  aspect-ratio: 16 / 9;
}

@media (max-height: 768px)
{
  .trailer iframe{
    width: 48%;
  }

  .trailer > div
  {
    width: 48%;
    overflow: hidden;
    display: flex;
    align-items: center;
  }
}

.footer{
  background: linear-gradient(
      to bottom,
      rgba(0,0,0,1) 100%%,
      rgba(0,0,0,1) 35%,
      rgba(0,0,0,0) 0%
    );
  height: 30vh;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.footer-logo
{
  max-width: 15vw;
}

.links
{
  display: flex;
  flex-direction: row;
  max-width: 30vh;
  min-width: 30vh;
  width: 100%;
  margin: 1vh;

}

@media (max-width: 850px)
{
  .hero
  {
    padding-top: 4vh;
    padding-bottom: 2vh;
  }

  .hero img
  {
    max-width: 50vh;
    width: 90%;
    height: auto;
    max-height: auto;
  }

  .subtitle
  {
    width: 90%;
    font-size: 1.2em;
  }

  .content
  {
    padding-top: 0;
  }

  .specs
  {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .specs img
  {
    align-self: center;
  }

  .description
  {
    width: 90%;
    font-size: 1em;
  }

  .file
  {
    max-width: 90vw;
    height: auto;
  }

  .factsheet
  {
    align-items: flex-start;
    font-size: 1.2rem;
    margin: 0;
    text-align: left;
    max-width: 90vw;
  }

  .factsheet button
  {
    font-size: 1.4rem;
    text-align: left;
  }

  .trailer
  {
    flex-direction: column;
    width: 100%;
    gap: 5vh;
    margin-bottom: 0;
  }

  .trailer iframe
  {
    width: 90%;
  }

  .trailer > div
  {
    width: 90%;
  }

  .footer-logo
  {
    max-width: 35vw;
  }
}
